Bug 21656 - Syntax Error in Stock Rotation Default Notice Template
Summary: Syntax Error in Stock Rotation Default Notice Template
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low critical (vote)
Assignee: Martin Renvoize
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on: 21682
Blocks: 21620
  Show dependency treegraph
 
Reported: 2018-10-25 08:05 UTC by Martin Renvoize
Modified: 2019-10-14 19:57 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 21656: Fix for bad TT syntax in default stock rotation notice (18.70 KB, patch)
2018-10-25 08:12 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21656: Followup to fix atomicupdate (2.60 KB, patch)
2018-10-25 15:31 UTC, Mark Tompsett
Details | Diff | Splinter Review
Bug 21656: Fix for bad TT syntax in default stock rotation notice (18.77 KB, patch)
2018-10-25 16:37 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 21656: Followup to fix atomicupdate (2.67 KB, patch)
2018-10-25 16:37 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 21656: Reduce the risk of possible side-effects (1.21 KB, patch)
2018-10-25 16:37 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 21656: Update 4 missing sample_notices.sql (11.47 KB, patch)
2018-10-25 16:37 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 21656: Fix for bad TT syntax in default stock rotation notice (18.83 KB, patch)
2018-10-26 10:46 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21656: Followup to fix atomicupdate (2.74 KB, patch)
2018-10-26 10:46 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21656: Reduce the risk of possible side-effects (1.27 KB, patch)
2018-10-26 10:46 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21656: Update 4 missing sample_notices.sql (11.53 KB, patch)
2018-10-26 10:46 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21656: Fix for bad TT syntax in default stock rotation notice (18.89 KB, patch)
2018-11-02 08:43 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 21656: (follow-up) Fix atomicupdate (2.21 KB, patch)
2018-11-02 08:43 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 21656: Reduce the risk of possible side-effects (1.36 KB, patch)
2018-11-02 08:43 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 21656: Update 4 missing sample_notices.sql (11.60 KB, patch)
2018-11-02 08:44 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2018-10-25 08:05:08 UTC
There is a syntax error in the default notice template for the stock rotation feature.
Comment 1 Martin Renvoize 2018-10-25 08:12:36 UTC
Created attachment 81109 [details] [review]
Bug 21656: Fix for bad TT syntax in default stock rotation notice
Comment 2 Mark Tompsett 2018-10-25 15:31:59 UTC
Created attachment 81181 [details] [review]
Bug 21656: Followup to fix atomicupdate

The atomicupdate is going to run as part of an upgrade.
It needs to UPDATE, not INSERT. Also, the atomicupdate
was numbered incorrectly.
Comment 3 Mark Tompsett 2018-10-25 15:36:51 UTC
Confirmed that it should be '!=' and not 'ne' like it currently is.
http://www.template-toolkit.org/docs/manual/Directives.html#section_IF_UNLESS_ELSIF_ELSE
Comment 4 Jonathan Druart 2018-10-25 16:37:06 UTC
Created attachment 81185 [details] [review]
Bug 21656: Fix for bad TT syntax in default stock rotation notice

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Jonathan Druart 2018-10-25 16:37:11 UTC
Created attachment 81186 [details] [review]
Bug 21656: Followup to fix atomicupdate

The atomicupdate is going to run as part of an upgrade.
It needs to UPDATE, not INSERT. Also, the atomicupdate
was numbered incorrectly.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Jonathan Druart 2018-10-25 16:37:15 UTC
Created attachment 81187 [details] [review]
Bug 21656: Reduce the risk of possible side-effects

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 7 Jonathan Druart 2018-10-25 16:37:19 UTC
Created attachment 81188 [details] [review]
Bug 21656: Update 4 missing sample_notices.sql

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 8 Jonathan Druart 2018-10-25 16:38:41 UTC
(In reply to Jonathan Druart from comment #7)
> Created attachment 81188 [details] [review] [review]
> Bug 21656: Update 4 missing sample_notices.sql

Martin, Count on me to repeat that to Italian, Canadian French, French and Norwegian people!
Comment 9 Marcel de Rooy 2018-10-26 09:28:40 UTC
 FAIL   installer/data/mysql/atomicupdate/bug_21620.perl
   FAIL   git manipulation
                The file has been added and deleted in the same patchset
Comment 10 Martin Renvoize 2018-10-26 10:44:55 UTC
Ack, sorry Jonathan... I hadn't appreciated that 'mandatory' has been translated in the directory names!
Comment 11 Martin Renvoize 2018-10-26 10:46:48 UTC
Created attachment 81275 [details] [review]
Bug 21656: Fix for bad TT syntax in default stock rotation notice

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 12 Martin Renvoize 2018-10-26 10:46:52 UTC
Created attachment 81276 [details] [review]
Bug 21656: Followup to fix atomicupdate

The atomicupdate is going to run as part of an upgrade.
It needs to UPDATE, not INSERT. Also, the atomicupdate
was numbered incorrectly.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 13 Martin Renvoize 2018-10-26 10:46:55 UTC
Created attachment 81277 [details] [review]
Bug 21656: Reduce the risk of possible side-effects

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 14 Martin Renvoize 2018-10-26 10:46:58 UTC
Created attachment 81278 [details] [review]
Bug 21656: Update 4 missing sample_notices.sql

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 15 Martin Renvoize 2018-10-26 10:47:54 UTC
Tested the followups and signed off as working.. thankyou chaps.
Comment 16 Jonathan Druart 2018-10-26 11:21:26 UTC
(In reply to Marcel de Rooy from comment #9)
>  FAIL   installer/data/mysql/atomicupdate/bug_21620.perl
>    FAIL   git manipulation
>                 The file has been added and deleted in the same patchset

Not blocker for atomic update I'd say, even if is would be better to amend the first patch and rename it (not a bit deal, really).
Comment 17 Katrin Fischer 2018-10-26 14:54:50 UTC
We need 21682 signed off first.
Comment 18 Marcel de Rooy 2018-11-02 08:35:00 UTC
QA: Looking here
Comment 19 Marcel de Rooy 2018-11-02 08:43:49 UTC
Created attachment 81868 [details] [review]
Bug 21656: Fix for bad TT syntax in default stock rotation notice

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 20 Marcel de Rooy 2018-11-02 08:43:54 UTC
Created attachment 81869 [details] [review]
Bug 21656: (follow-up) Fix atomicupdate

The atomicupdate is going to run as part of an upgrade.
It needs to UPDATE, not INSERT.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 21 Marcel de Rooy 2018-11-02 08:43:59 UTC
Created attachment 81870 [details] [review]
Bug 21656: Reduce the risk of possible side-effects

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 22 Marcel de Rooy 2018-11-02 08:44:07 UTC
Created attachment 81871 [details] [review]
Bug 21656: Update 4 missing sample_notices.sql

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 23 Marcel de Rooy 2018-11-02 08:45:01 UTC
(In reply to Jonathan Druart from comment #16)
> (In reply to Marcel de Rooy from comment #9)
> >  FAIL   installer/data/mysql/atomicupdate/bug_21620.perl
> >    FAIL   git manipulation
> >                 The file has been added and deleted in the same patchset
> 
> Not blocker for atomic update I'd say, even if is would be better to amend
> the first patch and rename it (not a bit deal, really).

Fixed that. Made QA tools happy now :)
Comment 24 Marcel de Rooy 2018-11-02 08:45:50 UTC
* Commit title does not contain 'follow-up' correctly spelt - 32bf113

Renamed it. But this was bit arbitrary..
Comment 25 Martin Renvoize 2018-11-02 08:47:43 UTC
Thanks for the follow-up fixes.. think my brain was on a go slow that day.
Comment 26 Nick Clemens 2018-11-02 10:42:23 UTC
Awesome work all!

Pushed to master for 18.11
Comment 27 Martin Renvoize 2018-11-09 16:34:57 UTC
Bug 21682 not in 18.05.x series.